# Project

{% hint style="success" %}
API SERVER:

⇒ <mark style="color:yellow;">**<https://apivcloud.innoway.vn>**</mark>
{% endhint %}

## POST /api/projects

> Create project

```json
{"openapi":"3.0.0","info":{"title":"Project","version":"1.0.0"},"servers":[{"url":"https://apivcloud.innoway.vn"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"<token>"}},"schemas":{"ProjectCreate":{"type":"object","properties":{"name":{"type":"string","description":"Tên project"},"image":{"type":"string","description":"Đường dẫn ảnh đại diện"},"description":{"type":"string","description":"Mô tả project"},"metadata":{"type":"object","additionalProperties":true,"description":"Metadata bổ sung thông tin cho project"}},"required":["name"]},"Project":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"ID của project"},"name":{"type":"string","description":"Tên project"},"image":{"type":"string","description":"Đường dẫn ảnh đại diện"},"description":{"type":"string","description":"Mô tả project"},"app_key":{"type":"string","description":"API key của project"},"app_secret":{"type":"string","description":"API secret của project"},"tenant_dev_quantity":{"type":"integer","description":"Số lượng tenant developer"},"device_quantity":{"type":"integer","description":"Số lượng thiết bị"},"metadata":{"type":"object","additionalProperties":true,"description":"Metadata bổ sung cho project"}}}}},"paths":{"/api/projects":{"post":{"summary":"Create project","tags":[],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectCreate"}}}},"responses":{"200":{"description":"Thành công","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Project"}}}}}}}}}
```

## GET /api/projects

> Get list projects

```json
{"openapi":"3.0.0","info":{"title":"Project","version":"1.0.0"},"servers":[{"url":"https://apivcloud.innoway.vn"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"<token>"}},"schemas":{"ProjectListResponse":{"type":"object","properties":{"total":{"type":"integer","description":"Tổng số project"},"offset":{"type":"integer","description":"Vị trí bắt đầu (dùng cho phân trang)"},"limit":{"type":"integer","description":"Số lượng project trả về tối đa"},"projects":{"type":"array","description":"Danh sách project","items":{"$ref":"#/components/schemas/Project"}}}},"Project":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"ID của project"},"name":{"type":"string","description":"Tên project"},"image":{"type":"string","description":"Đường dẫn ảnh đại diện"},"description":{"type":"string","description":"Mô tả project"},"app_key":{"type":"string","description":"API key của project"},"app_secret":{"type":"string","description":"API secret của project"},"tenant_dev_quantity":{"type":"integer","description":"Số lượng tenant developer"},"device_quantity":{"type":"integer","description":"Số lượng thiết bị"},"metadata":{"type":"object","additionalProperties":true,"description":"Metadata bổ sung cho project"}}}}},"paths":{"/api/projects":{"get":{"summary":"Get list projects","tags":[],"parameters":[{"name":"offset","in":"query","required":false,"schema":{"type":"integer"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Thành công","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectListResponse"}}}}}}}}}
```

## PUT /api/projects/{project\_id}

> Update project

```json
{"openapi":"3.0.0","info":{"title":"Project","version":"1.0.0"},"servers":[{"url":"https://apivcloud.innoway.vn"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"<token>"}},"schemas":{"ProjectUpdate":{"type":"object","properties":{"name":{"type":"string","description":"Tên project"},"image":{"type":"string","description":"Đường dẫn ảnh đại diện"},"description":{"type":"string","description":"Mô tả project"},"metadata":{"type":"object","additionalProperties":true,"description":"Metadata bổ sung thông tin cho project"}}},"Project":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"ID của project"},"name":{"type":"string","description":"Tên project"},"image":{"type":"string","description":"Đường dẫn ảnh đại diện"},"description":{"type":"string","description":"Mô tả project"},"app_key":{"type":"string","description":"API key của project"},"app_secret":{"type":"string","description":"API secret của project"},"tenant_dev_quantity":{"type":"integer","description":"Số lượng tenant developer"},"device_quantity":{"type":"integer","description":"Số lượng thiết bị"},"metadata":{"type":"object","additionalProperties":true,"description":"Metadata bổ sung cho project"}}}}},"paths":{"/api/projects/{project_id}":{"put":{"summary":"Update project","tags":[],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectUpdate"}}}},"responses":{"200":{"description":"Cập nhật thông tin project thành công","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Project"}}}}}}}}}
```

## DELETE /api/projects/{project\_id}

> Delete project

```json
{"openapi":"3.0.0","info":{"title":"Project","version":"1.0.0"},"servers":[{"url":"https://apivcloud.innoway.vn"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"<token>"}}},"paths":{"/api/projects/{project_id}":{"delete":{"summary":"Delete project","tags":[],"parameters":[],"responses":{"200":{"description":"Cập nhật thông tin project thành công"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://innoway.gitbook.io/innoway/tai-lieu/api/rest-api/project.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
